Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000033 [cparser] unknown major always 2009-01-01 12:48 2009-01-28 21:55
Reporter sanxiyn View Status public  
Assigned To Matze
Priority normal Resolution fixed  
Status closed   Product Version 0.9.7
Summary 0000033: memcached miscompiled
Description libfirm 1.15.0 and cparser 0.9.7.

memcached 1.2.6 is miscompiled.

1. Compile with GCC and test

$ ./configure
$ make
$ prove t/incrdecr.t

incrdecr.t is a relatively short test enough to show miscompilation.
make test to run the full suite.

2. Compile memcached.c with cparser and test

$ rm memcached.o
$ make CC=cparser
$ prove t/incrdecr.t
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000046)
Matze (administrator)
2009-01-20 11:11

A small note: you should use "CC=cparser ./configure" so the configure script can test for cparser specifics instead of gcc specifics.

Anyway even with exactly the commands you described above everything works fine with latest svn version here:

[matze@i44pc66] ~/compiling/memcached-1.2.6 > make test
prove ./t
t/00-startup.........ok 1/3getaddrinfo(): Name or service not known
failed to listen
t/00-startup.........ok
t/64bit..............skipped
        all skipped: Skipping 64-bit tests on 32-bit build
t/binary-get.........ok
t/bogus-commands.....ok
t/cas................ok
t/daemonize..........ok
t/delete-window......ok 14/20# waiting 5 seconds for the deleter event...
t/delete-window......ok
t/expirations........ok
t/flags..............ok
t/flush-all..........ok
t/getset.............ok
t/incrdecr...........ok
t/lru................ok
t/managed-buckets....skipped
        all skipped: Tests not written.
t/maxconns...........ok
t/multiversioning....ok
t/noreply............ok
t/slab-reassign......skipped
        all skipped: Tests not written.
t/stats-detail.......ok
t/stats..............ok
t/udp................ok
t/unixsocket.........ok
t/whitespace.........ok
All tests successful, 3 tests skipped.
Files=23, Tests=930, 30 wallclock secs ( 2.06 cusr + 0.62 csys = 2.68 CPU)

maybe the bug was fixed since the last release.

- Issue History
Date Modified Username Field Change
2009-01-01 12:48 sanxiyn New Issue
2009-01-20 11:11 Matze Note Added: 0000046
2009-01-20 11:11 Matze Status new => resolved
2009-01-20 11:11 Matze Resolution open => fixed
2009-01-27 16:32 Tron Status resolved => assigned
2009-01-27 16:32 Tron Assigned To => Matze
2009-01-27 19:01 Tron Status assigned => resolved
2009-01-28 21:55 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker